Summary:	The online comic reader application for GNOME
Summary(pl.UTF-8):	Czytników komiksów online dla GNOME
Name:		buoh
Version:	0.8.2
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://buoh.steve-o.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	50474a8712ad20ab36d8f8058a4647fb
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libsoup24.patch
URL:		http://buoh.steve-o.org/
BuildRequires:	GConf2-devel >= 2.2.0
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	gnome-common
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libgnomeui-devel >= 2.6.0
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Buoh is a reader for online strips comics. It is free software,
designed to work well under the GNOME Desktop.
Buoh has a number of features, including:
- select your favorites comic through a list of more than 130 comics,
- easy, simple an eye-candy view of an online comic,
- browsing over the comic strip archives,
- saving a comic to disk,
- integration with GNOME (respecting the lockdowns and HIG
  compliance).

%description -l pl.UTF-8
Buoh jest aplikacją umożliwiającą czytanie periodycznie umieszczanych
w sieci pasków z komiksami.
Buoh posiada wiele możliwości, między innymi:
- wybór preferowanych komiksów spośród ponad 130 dostępnych,
- łatwe i proste przeglądanie komiksu,
- przeglądanie archiwum komiksu,
- zapis komiksu na dysk,
- integrację ze środowiskiem GNOME.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install buoh.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall buoh.schemas

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/buoh
%{_datadir}/buoh
%{_desktopdir}/buoh.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_sysconfdir}/gconf/schemas/buoh.schemas
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/buoh.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 59e3c65
- Release 3 (by relup.sh)

* Mon Jul 14 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 022243c
- Fix applying patches.

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 96abc7a
- updated gettext BR

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> df53ded
- Requires(post,postun): gtk-update-icon-cache

* Sat Mar 15 2008 Marcin Banasiak <marcin.banasiak@gmail.com> bd82b12
- updated to 0.8.2
- added -libsoup24.patch

* Sat Mar 15 2008 Marcin Banasiak <marcin.banasiak@gmail.com> f93a75f
- port to libsoup 2.4

* Sat Mar 15 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 29974ac
- updated for 0.8.2

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d76886
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 80ae45a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cc5f20b
- converted to UTF-8

* Fri Dec 22 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> cd7f7b2
- rel 2

* Sat Dec 03 2005 paladine <paladine@pld-linux.org> c314e03
- updated to 0.8.1

* Wed Nov 16 2005 paladine <paladine@pld-linux.org> 5089619
- added desktop patch
- fixed BRs
- copy not move buoh64x64.png (needed in about window)
- cosmetics
- works ok, rel. 1

* Wed Nov 16 2005 paladine <paladine@pld-linux.org> 7ed7d3f
- new

* Wed Nov 16 2005 Marcin Gajda <m.gajda@functional-software.com> f494c8d
- sort BR

* Wed Nov 16 2005 Marcin Gajda <m.gajda@functional-software.com> 4cad9b4
- BR: autotools

* Wed Nov 16 2005 Marcin Gajda <m.gajda@functional-software.com> 4fb5e35
- missing comma

* Wed Nov 16 2005 Marcin Gajda <m.gajda@functional-software.com> 5eb4d76
- added $Date: 2011-02-04 18:23:37 $ part
- hmm... adapter didn't noticed that

* Wed Nov 16 2005 Marcin Gajda <m.gajda@functional-software.com> af6dfa0
- initial pld release

